/* 
    Copyright (C) 2013 Andreas Stewering-Bone

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. */
/**
 * @file cs_defines.h
 * @author Andreas Stewering-Bone
 * @date 9 Oct 2014
 * @brief File containing basic defines for all subsystems.
 *
 * File containing basic defines for all subsystems.
*/
#ifndef CS_DEFINES_H
#define CS_DEFINES_H

#include <float.h>
#include <math.h>
#include <inttypes.h>

/** \def CS_CHARBUF
    Char buffer size
*/
#define CS_CHARBUF 255
/** \def CS_DATA
    Number of Bytes in CAN frame
*/
#define CS_DATA 64
/** \def CS_BITS
    Number of Bits in Byte
*/
#define CS_BITS 8 /*Bits per Byte*/
/** \def CS_OK
    Return value if function has no failure
*/ 
#define CS_OK 0
/** \def CS_FAIL
    Return value if function has failure
*/ 
#define CS_FAIL 1

/** \def UNUSED
    Mark variable as used to avoid compiler warnings
*/
#define UNUSED(x) (void)(x)

/** \def DEQUALS_ZERO
    Check for double value equals zero
*/
#define DEQUALS_ZERO(X) (fabs(X) < DBL_EPSILON)

#endif
