/*  Copyright (C) 2019 Andreas Stewering-Bone

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. */
#ifndef CS_VERSION_H
#define CS_VERSION_H

#include <inttypes.h>
#include <stdarg.h>

#ifdef __cplusplus
extern "C" {
#endif

  /** Get library major version
   */
  int cs_version_get_major();

  /** Get library minor version
   */
  int cs_version_get_minor();

  /** Get library patch level
   */
  int cs_version_get_patchlevel();

  /** Get library version string
      Major.Minor.PathLevel
  */
  const char* cs_version_get_version();

  /** Get library mercurial string
      \retval empty string => compiled not against repo
      \retval != NULL Mercurial string
  */
  const char* cs_version_get_mercurial_id();
  
#ifdef __cplusplus
}
#endif

#endif
